Bug 505117 - F11: X Server Crashes on Intel 82Q35 Express Integrated
F11: X Server Crashes on Intel 82Q35 Express Integrated
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
11
x86_64 Linux
low Severity urgent
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-10 13:54 EDT by Christoph Maser
Modified: 2009-10-27 05:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-27 05:57:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christoph Maser 2009-06-10 13:54:09 EDT
Description of problem:
Xserver crashed twice with signal 7

Version-Release number of selected component (if applicable):


How reproducible:
Just happend

Steps to Reproduce:
1.
2.
3.
  
Actual results:
X server crashes and restarts

Expected results:
X server does not crash and restart

Additional info:

Backtrace:
0: /usr/bin/Xorg(xorg_backtrace+0x26) [0x4e89b6]
1: /usr/bin/Xorg(xf86SigHandler+0x6f) [0x47d63f]
2: /lib64/libc.so.6 [0x3390a33370]
3: /usr/lib64/libpixman-1.so.0 [0x339a431724]
4: /usr/lib64/xorg/modules//libfb.so(fbCopyNtoN+0x1bf) [0x7f53344e32ff]
5: /usr/lib64/xorg/modules//libfb.so(fbCopyRegion+0x29d) [0x7f53344e233d]
6: /usr/lib64/xorg/modules//libfb.so(fbDoCopy+0x44a) [0x7f53344e284a]
7: /usr/lib64/xorg/modules//libfb.so(fbCopyArea+0x4c) [0x7f53344e29cc]
8: /usr/lib64/xorg/modules/drivers//intel_drv.so [0x7f5334f7c10d]
9: /usr/lib64/xorg/modules/drivers//intel_drv.so [0x7f5334f7c5a9]
10: /usr/bin/Xorg [0x5315ac]
11: /usr/bin/Xorg(ProcPutImage+0x147) [0x444577]
12: /usr/bin/Xorg(Dispatch+0x384) [0x446ee4]
13: /usr/bin/Xorg(main+0x3b5) [0x42d0d5]
14: /lib64/libc.so.6(__libc_start_main+0xfd) [0x3390a1ea2d]
15: /usr/bin/Xorg [0x42c559]

Fatal server error:
Caught signal 7.  Server aborting
Comment 1 Juha Heljoranta 2009-08-29 12:46:44 EDT
I just saw this, for the first time since the f11 release, afaik.

Backtrace:
0: /usr/bin/X(xorg_backtrace+0x26) [0x4e89b6]
1: /usr/bin/X(xf86SigHandler+0x6f) [0x47d63f]
2: /lib64/libc.so.6 [0x3f19833370]
3: /usr/lib64/libpixman-1.so.0 [0x3f26431724]
4: /usr/lib64/xorg/modules//libfb.so(fbCopyNtoN+0x1bf) [0x7f0dd214c2ff]
5: /usr/lib64/xorg/modules//libfb.so(fbCopyRegion+0x29d) [0x7f0dd214b33d]
6: /usr/lib64/xorg/modules//libfb.so(fbDoCopy+0x44a) [0x7f0dd214b84a]
7: /usr/lib64/xorg/modules//libfb.so(fbCopyArea+0x4c) [0x7f0dd214b9cc]
8: /usr/lib64/xorg/modules/drivers//intel_drv.so [0x7f0dd2bf110d]
9: /usr/lib64/xorg/modules/drivers//intel_drv.so [0x7f0dd2bf15a9]
10: /usr/bin/X [0x5315ac]
11: /usr/bin/X(ProcPutImage+0x147) [0x444577]
12: /usr/bin/X(Dispatch+0x384) [0x446ee4]
13: /usr/bin/X(main+0x3b5) [0x42d0d5]
14: /lib64/libc.so.6(__libc_start_main+0xfd) [0x3f1981ea2d]
15: /usr/bin/X [0x42c559]

Fatal server error:
Caught signal 7.  Server aborting

Components:
kernel-2.6.29.6-217.2.16.fc11.x86_64
xorg-x11-drv-intel-2.7.0-7.fc11.x86_64
xorg-x11-server-Xorg-1.6.1.901-1.fc11.x86_64
glibc-2.10.1-4.x86_64
pixman-0.14.0-2.fc11.x86_64

Hardware:
00:02.1 Display controller [0380]: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller [8086:2a03] (rev 03)
Comment 2 Christoph Maser 2009-10-27 05:57:33 EDT
The problem is gone for quite a while.

Note You need to log in before you can comment on or make changes to this bug.